Intraday Tickers BETA
取得期權可交易商品列表(依條件查詢)
GET /intraday/tickers
Parameters
| Name | Type | Description |
|---|---|---|
type* | string | 類型,可選 FUTURE 期貨 ; OPTION 選擇權 |
exchange | string | 交易所,可選 TAIFEX 臺灣期貨交易所 |
session | string | 交易時段,可選 REGULAR 一般交易 或 AFTERHOURS 盤後交易 |
product | string | 契約代碼 |
contractType | string | 契約類別,可選 I 指數類;R 利率類;B 債券類;C 商品類;S 股票類;E 匯率類 |
isSpread | boolean | 帶 true 回傳時間價差(calendar spread)契約清單;預設回傳一般契約。時間價差僅存在於期貨(type=FUTURE),選擇權無此類契約 |
Response
| Name | Type | Description |
|---|---|---|
type* | string | 期權類型 |
exchange* | string | 交易所 |
session | string | 交易時段 |
product | string | 契約代碼 |
contractType | string | 契約類別 |
isSpread | boolean | 是否為價差契約查詢(帶 isSpread=true 時為 true;未帶或帶 false 時不出現此欄位) |
data* | object[] | 商品列表 |
data[0].type | string | 期權類型 |
data[0].symbol | string | 商品代碼 |
data[0].name | string | 商品名稱 |
data[0].referencePrice | string | 參考價 |
data[0].contractType | string | 契約類別 |
data[0].startDate | string | 上市日期 |
data[0].endDate | string | 下市日期 |
data[0].flowGroup | string | 流程群組 |
data[0].settlementDate | string | 最後結算日 |
data[0].isDynamicBanding | boolean | 是否適用動態價格穩定 |
data[0].isSpread | boolean | 是否為價差契約(價差契約為 true,一般契約不出現此欄位) |
info
帶 isSpread=true 查詢價差契約時,data 回傳的欄位較精簡(symbol、type、name、isSpread)。詳見下方「價差契約」。
Example
- cURL
- Python
- Node.js
curl -X 'GET' \
'https://api.fugle.tw/marketdata/v1.0/futopt/intraday/tickers?type=FUTURE&exchange=TAIFEX&session=REGULAR&product=TXF' \
-H 'X-API-KEY: <YOUR_API_KEY>'
from fugle_marketdata import RestClient
client = RestClient(api_key = 'YOUR_API_KEY')
futopt = client.futopt
futopt.intraday.tickers(type='FUTURE', exchange='TAIFEX', session='REGULAR', product='TXF')
const { RestClient } = require("@fugle/marketdata");
const client = new RestClient({ apiKey: "YOUR_API_KEY" });
client.futopt.intraday
.tickers({ type: "FUTURE", exchange: "TAIFEX", session:'REGULAR', product:'TXF' })
.then((data) => console.log(data));
Response Body:
{
"type": "FUTURE",
"exchange": "TAIFEX",
"session": "REGULAR",
"product": "TXF",
"data": [
{
"symbol": "TXFC5",
"type": "FUTURE",
"contractType": "I",
"endDate": "2025-03-19",
"flowGroup": 1,
"isDynamicBanding": true,
"name": "臺股期貨035",
"referencePrice": 22275,
"settlementDate": "2025-03-19",
"startDate": "2024-03-21"
},
{
"symbol": "TXFF4",
"type": "FUTURE",
"contractType": "I",
"endDate": "2024-06-19",
"flowGroup": 1,
"isDynamicBanding": true,
"name": "臺股期貨064",
"referencePrice": 22477,
"settlementDate": "2024-06-19",
"startDate": "2023-06-26"
},
{
"symbol": "TXFG4",
"type": "FUTURE",
"contractType": "I",
"endDate": "2024-07-17",
"flowGroup": 1,
"isDynamicBanding": true,
"name": "臺股期貨074",
"referencePrice": 22346,
"settlementDate": "2024-07-17",
"startDate": "2024-04-18"
},
{
"symbol": "TXFH4",
"type": "FUTURE",
"contractType": "I",
"endDate": "2024-08-21",
"flowGroup": 1,
"isDynamicBanding": true,
"name": "臺股期貨084",
"referencePrice": 22294,
"settlementDate": "2024-08-21",
"startDate": "2024-05-16"
},
{
"symbol": "TXFI4",
"type": "FUTURE",
"contractType": "I",
"endDate": "2024-09-18",
"flowGroup": 1,
"isDynamicBanding": true,
"name": "臺股期貨094",
"referencePrice": 22267,
"settlementDate": "2024-09-18",
"startDate": "2023-09-21"
},
{
"symbol": "TXFL4",
"type": "FUTURE",
"contractType": "I",
"endDate": "2024-12-18",
"flowGroup": 1,
"isDynamicBanding": true,
"name": "臺股期貨124",
"referencePrice": 22271,
"settlementDate": "2024-12-18",
"startDate": "2023-12-21"
}
]
}
價差契約
時間價差(calendar spread)契約預設不會出現在清單中,帶 isSpread=true 才會回傳。價差契約有以下特性:
- 代碼格式為
{近月}/{遠月}:由近、遠兩腳合約組成,契約名稱標示兩個月份(例如電子期貨076-086)。同商品的跨月價差,遠腳省略商品代碼(例如EXFG6/H6、TXFG6/H6);兩腳商品代碼不同時(如週契約與月契約組成的價差),遠腳為完整代碼(例如MX4G6/MXFH6)。 - 依代碼查詢時斜線直接放入路徑:
/intraday/ticker/{symbol}、/intraday/quote/{symbol}等依代碼查詢端點支援價差代碼,代碼中的/以未編碼的斜線直接放入路徑即可(例如/intraday/quote/TXFG6/H6)。也可透過 WebSocket 訂閱(將價差代碼放在訂閱訊息的symbol欄位)。 - 報價可為負值:價差為兩腳合約的價格之差,買賣報價可能為負數,屬正常現象。
- 不需等成交即可查得:價差契約清單於每日商品檔初始化時預先建立,開盤前或尚無成交的價差契約也會出現在清單中。
- 日盤與夜盤皆有:一般交易與盤後交易時段皆有價差契約行情。
- cURL
- Python
- Node.js
curl -X 'GET' \
'https://api.fugle.tw/marketdata/v1.0/futopt/intraday/tickers?type=FUTURE&exchange=TAIFEX&session=AFTERHOURS&isSpread=true' \
-H 'X-API-KEY: <YOUR_API_KEY>'
from fugle_marketdata import RestClient
client = RestClient(api_key = 'YOUR_API_KEY')
futopt = client.futopt
futopt.intraday.tickers(type='FUTURE', exchange='TAIFEX', session='AFTERHOURS', isSpread=True)
const { RestClient } = require("@fugle/marketdata");
const client = new RestClient({ apiKey: "YOUR_API_KEY" });
client.futopt.intraday
.tickers({ type: "FUTURE", exchange: "TAIFEX", session: "AFTERHOURS", isSpread: true })
.then((data) => console.log(data));
Response Body:
{
"type": "FUTURE",
"exchange": "TAIFEX",
"session": "AFTERHOURS",
"isSpread": true,
"data": [
{
"symbol": "EXFG6/H6",
"type": "FUTURE_AH",
"isSpread": true,
"name": "電子期貨076-086"
}
]
}